%global  Rversion 2.9.0

Name:           rkward
Version:        0.5.1
Release:        1%{?dist}
Summary:        Graphical frontend for R language
Summary(fr):    Interface graphique pour le langage R 

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://rkward.sourceforge.net/ 
Source0:        http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  R-devel >= %{Rversion} desktop-file-utils gettext 
BuildRequires:  kdelibs4-devel cmake pcre-devel
BuildRequires:  giflib-devel  
Requires:       php-cli

%{?kde4_macros_api:Requires: kde4-macros(api) = %{?kde4_macros_api}}

%description
RKWard aims to provide an easily extensible, easy to use IDE/GUI for the
R-project. RKWard tries to combine the power of the R-language with the
(relative) ease of use of commercial statistics tools. Long term plans
include integration with office suites

%description -l fr
RKWard fournis un environnement de développement graphique intégré
aisément extensible et simple d'utilisation. RKWard tente de
combiner la puissance du langage R et la (relative) simplicité d'utilisation
des outils statistiques commerciaux. L'objectif à long terme est de voir son
intégration dans les suites bureautiques.

%prep
%setup -q 
#-n %{name}-%{version}-pre1

# Not needed from 0.5.0c
#sed -i -e "s|#include \"Rdevices.h\"||" rkward/rbackend/rembedinternal.cpp

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install \
  --vendor="" \
  --dir=%{buildroot}%{kde4_datadir}/applications/kde4 \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

#/usr/share/applications/kde4/rkward.desktop
%find_lang %{name} || touch %{name}.lang

#This file is conflicting with the kdelibs one
rm -f $RPM_BUILD_ROOT%{_datadir}/kde4/apps/katepart/syntax/r.xml
# already in R-base package
rm -f $RPM_BUILD_ROOT%{_libdir}/R/library/R.css


## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
   # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/locolor
touch --no-create %{_datadir}/icons/crystalsvg

%postun
touch --no-create %{_datadir}/icons/locolor
touch --no-create %{_datadir}/icons/crystalsvg


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING TODO AUTHORS
%{_libdir}/R/library/%{name}/
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svgz
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/doc/HTML/en/%{name}
%{_datadir}/kde4/apps/katepart/syntax/%{name}.xml

%changelog
* Mon Aug 03 2009 pingou <pingou@pingoured.fr> - 0.5.1-1
- Update to 0.5.1 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0d-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 20 2009 pingou <pingou@pingoured.fr> - 0.5.0d-1
- Update to release 0.5.0d

* Wed Apr 22 2009 pingou <pingou@pingoured.fr> - 0.5.0c-2
- Rebuild for R-2.9.0
- Uses %%global instead of %%define

* Tue Mar 31 2009 pingou <pingou@pingoured.fr> - 0.5.0c-1
- Update to version 0.5.0c
- Remove the BuildRequires on PyQt-devel

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0b-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.5.0b-11
- Rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)

* Sun Nov 30 2008 pingou <pingou -AT- pingoured.fr> 0.5.0b-10
- Own directory rkward -- #473660

* Wed Oct 29 2008 pingou <pingou -AT- pingoured.fr> 0.5.0b-9
- Move the sed to prep 

* Wed Oct 29 2008 pingou <pingou -AT- pingoured.fr> 0.5.0b-8
- Rebuild for R 2.8.0 
- Remove the Rdevices.h which make the build failed

*Fri Jun 06 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-7
- Correct a typo in files

*Fri Jun 06 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-6
- Correct the files section for the icons

*Fri Jun 06 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-5
- Correct version

*Fri Jun 06 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-4
- Correct typo in changelog

*Fri Jun 06 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-3
- Rebuild

*Thu May 01 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-2
- Update to release 0.5.0b

*Tue Apr 15 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0b-pre1-1
- Update to release 0.5.0b-pre1

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> 0.5.0a-4
- BR: kdelibs4-devel
- d-f-i: fix double vendor

*Mon Feb 25 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0a-3
- Change kde-config to kde4-config to fix the build

*Mon Feb 25 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0a-2
- Change a BR to fix to build

*Mon Feb 25 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0a-1
- Update to 0.5.0a for KDE4

*Sun Feb 10 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9-3
- Change the Requires

*Tue Jan 15 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9-2
- Change on the BR to fix rawhide build

*Tue Jan 15 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9-1
- Update to 0.4.9

*Sun Jan 06 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9pre1-1
- Update to 0.4.9pre1

*Tue Dec 11 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-4
- Add qt-devel to the BR

*Tue Dec 11 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-3
- Set the default environment for Qt

*Tue Dec 11 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-2
- Changes on the BR

*Mon Oct 22 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-1
- Update to 0.4.8a

*Mon Oct 22 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8-2
- Problem in CVS

*Mon Oct 22 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8-1
- Update to 0.4.8 and R 2.6

*Tue Aug 07 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-3
-Remove the diff (was my mistakes)

*Tue Aug 07 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-3
-Add the %%post and %%postun section

*Tue Jul 03 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-2
-Correction on the build
-correction in the consistensy on the variables

*Thu Jun 14 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-1
-First build for Fedora

